# Generated by Django 2.0.5 on 2022-02-09 06:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0103_profile_default_landing_page'),
        ('document', '0071_salespurchaseorderdata'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductsItemData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('crm_id', models.PositiveIntegerField()),
                ('product_id', models.CharField(max_length=500)),
                ('description', models.TextField(null=True)),
                ('quantity', models.IntegerField(null=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
                ('sales_order_crm_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='productitems', to='document.SalesPurchaseOrderData')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
